Bug 961371 - RHEVM-CLI: --parent-tag-id and --parent-tag-name options doesn't exists in 'add tag' options, they are working (should be added to autocompletion)
RHEVM-CLI: --parent-tag-id and --parent-tag-name options doesn't exists in 'a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ravi Nori
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 09:40 EDT by Ilia Meerovich
Modified: 2016-02-10 14:38 EST (History)
9 users (show)

See Also:
Fixed In Version: is2
Doc Type: Release Note
Doc Text:
The --parent-tag-id and --parent-tag-name options are accepted arguments for the add tag command, even though they do not appear in the list of available options.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 14716 None None None Never

  None (edit)
Description Ilia Meerovich 2013-05-09 09:40:55 EDT
Build: sf15

[RHEVM shell (connected)]# add tag --description 'Test Tag Description' --name 'foo'

id           : 8dcabbeb-6e87-47a4-a31f-22e0e555d362
name         : foo
description  : Test Tag Description
parent-tag-id: 00000000-0000-0000-0000-000000000000

[RHEVM shell (connected)]# list tags 

id         : 8dcabbeb-6e87-47a4-a31f-22e0e555d362
name       : foo
description: Test Tag Description

id         : 00000000-0000-0000-0000-000000000000
name       : root
description: root

[RHEVM shell (connected)]# add tag --description 'Test Tag Description' --name 'SubFoo' --parent-tag-id '8dcabbeb-6e87-47a4-a31f-22e0e555d362'

id           : 027fd20b-be2c-4a83-bb54-fc7e71238fb5
name         : SubFoo
description  : Test Tag Description
parent-tag-id: 8dcabbeb-6e87-47a4-a31f-22e0e555d362          

[RHEVM shell (connected)]# add tag --description 'Test Tag Description' --name 'Submoo' --parent-tag-name 'foo'

id           : 3aa79916-e7df-4887-9252-c32cb68711c3
name         : Submoo
description  : Test Tag Description
parent-tag-id: 8dcabbeb-6e87-47a4-a31f-22e0e555d362

[RHEVM shell (connected)]# add tag 
correlation_id  description     group           host            name            parent-name     user            vm
Comment 1 Ilia Meerovich 2013-05-12 03:05:05 EDT
maybe to add to Release Notes? otherwize customer will not be able to cretea subtags via cli
Comment 2 Ilia Meerovich 2013-07-03 03:59:51 EDT
[root@ilia-rhevm ~]# rpm -q rhevm-cli
rhevm-cli-3.3.0.3-1.el6ev.noarch
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I
Password: 

 ==========================================
 >>> connected to RHEVM manager 3.3.0.0 <<<
 ==========================================


        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (connected)]# #add tag --description 'Test Tag Description' --name 'foo'
[RHEVM shell (connected)]# add tag --description 'Test Tag Description' --name 'foo'

id           : 778f6d54-6dc2-4dd8-9d5f-2b107b5ea3bc
name         : foo
description  : Test Tag Description
parent-tag-id: 00000000-0000-0000-0000-000000000000

[RHEVM shell (connected)]# add tag --description 'Test Tag Description' --name 'SubFoo' parent-tag-
parent-tag-id    parent-tag-name  
[RHEVM shell (connected)]# add tag --description 'Test Tag Description' --name 'SubFoo' --parent-tag-id 778f6d54-6dc2-4dd8-9d5f-2b107b5ea3bc

id           : 50a5120d-6091-4071-a4b1-82d601157573
name         : SubFoo
description  : Test Tag Description
parent-tag-id: 778f6d54-6dc2-4dd8-9d5f-2b107b5ea3bc

[RHEVM shell (connected)]# add tag --description 'Test Tag Description' --name 'SubMoo' --parent-tag-name SubFoo

id           : b2a34f4a-4956-4572-82f9-409cd14a4320
name         : SubMoo
description  : Test Tag Description
parent-tag-id: 50a5120d-6091-4071-a4b1-82d601157573

[RHEVM shell (connected)]#
Comment 3 Itamar Heim 2014-01-21 17:24:44 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:25:37 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:29:06 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.